This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276933 - Review Request: python-cycler - Cycle through lists in various ways (used by matplotlib) required for matplotlib-1.5
Review Request: python-cycler - Cycle through lists in various ways (used by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 09:20 EST by Neal Becker
Modified: 2015-11-09 14:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 14:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
ndbecker2: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2015-11-01 09:20:00 EST
Spec URL: https://nbecker.fedorapeople.org/python-cycler.spec
SRPM URL: https://nbecker.fedorapeople.org/python-cycler-0.9.0-1.fc22.src.rpm
Description: General purpose library used by matplotlib to cycle through lists for colors, marker styles, etc
Fedora Account System Username: nbecker
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-01 15:19:11 EST
Source0 is in URL.

"Requires: six" is in the generic section, but you probably want it in the python2 package section.

Use %license for LICENSE [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text].

You can put the Summary in the generic section, and the refer to the text as %{summary} in the python2- and python3- section. This will save one define.

The description should be line-wrapped.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-01 15:21:07 EST
Also, you need Requires: python3-six for the python3 package.
Comment 3 Upstream Release Monitoring 2015-11-04 12:01:52 EST
nbecker's scratch build of python-cycler-0.9.0-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11702392
Comment 4 Upstream Release Monitoring 2015-11-04 13:24:33 EST
nbecker's scratch build of python-cycler-0.9.0-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11703148
Comment 5 Upstream Release Monitoring 2015-11-04 13:29:55 EST
nbecker's scratch build of python-cycler-0.9.0-2.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11703218
Comment 6 Upstream Release Monitoring 2015-11-04 13:34:12 EST
nbecker's scratch build of python-cycler-0.9.0-3.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11703244
Comment 7 Zbigniew Jędrzejewski-Szmek 2015-11-05 08:15:49 EST
Is this last rebuild something to review again? Can you post the updated .spec file in that case?
Comment 8 Neal Becker 2015-11-05 08:41:38 EST
Still working on it.

rpmlint found 1 issue (need to fix LICENSE)
Comment 10 Zbigniew Jędrzejewski-Szmek 2015-11-07 06:09:12 EST
Everything looks good. rpmlint only has false positives about spelling.

Package is APPROVED.
Comment 11 Gwyn Ciesla 2015-11-08 11:26:49 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-cycler

Note You need to log in before you can comment on or make changes to this bug.